/**
* Change Password App
* Implementing an App used to change password
*/
var ChangePasswordApp = ChangePasswordApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
ChangePasswordApp.App = function () {
    this.id = 'Change Password';
    this.name = 'Change Password';
    this.version = '6.0.18';
    this.active = false;
    this.menuIcon = '/apps/changepassword/images/logo.png?v=6.0.18&';
    this.shortcutIcon = '/apps/changepassword/images/logo.png?v=6.0.18&';
    this.entryUrl = '/apps/changepassword/changepassword.html?v=6.0.18&';
    //this.entryHelpUrl = '/apps/changepassword/changepassword_help.html?v=6.0.18&';
    var self = this;
    this.ChangePasswordAppWindow = function () { //create app window
        if(UNAS.CheckAppState('Change Password')){
            return false;
        }
        self.window=new MUI.Window({
            id: 'ChangePasswordAppWindow',
            title: UNAS._('Change Password'),
            loadMethod: 'xhr',
            icon: '/apps/changepassword/images/logo_small.png?v=6.0.18&',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            contentURL: '/apps/changepassword/changepassword.html?v=6.0.18&',
            require: {  css: ['/apps/changepassword/css/changepassword.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Change Password",'ChangePasswordAppWindow')}
        });
    };
    this.ChangePasswordAppUninstall = function () {
        UNAS.RemoveDesktopShortcut('Change Password');
        UNAS.RemoveMenu('Change Password');
        UNAS.RemoveAppFromGroups('Change Password', 'ControlPanel');
        UNAS.RemoveAppFromGroups('Change Password', 'Help');
        UNAS.RemoveAppFromApps('Change Password');
    }
    new UNAS.Menu('UNAS_ControlPanel_Account_Menu', this.name, this.menuIcon, 'Change Password', '', this.ChangePasswordAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Change Password', this.ChangePasswordAppWindow);
    new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Account', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryUrl}, {});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Account', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl}, {});
    var OnChangeLanguage = function (e) {
        UNAS.SetMenuTitle('Change Password', UNAS._('Change Password')); //translate menu
        //UNAS.SetShortcutTitle('Change Password', UNAS._('Change Password'));
        if (typeof self.window !== 'undefined') {
            UNAS.SetWindowTitle('ChangePasswordAppWindow', UNAS._('Change Password'));
        }
    };
    UNAS.LoadTranslation('/apps/changepassword/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.ChangePasswordAppWindow, this.ChangePasswordAppUninstall);
};

new ChangePasswordApp.App(); //Create app
